# SubscribeConfigurationRequest (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain

## Class SubscribeConfigurationRequest

- java.lang.Object
- - io.dapr.client.domain.SubscribeConfigurationRequest

    public class SubscribeConfigurationRequest
    extends Object

Request to subscribe to one or more configuration items.

### Constructor Summary

Constructors
`SubscribeConfigurationRequest​(String storeName, List<String> keys)` Constructor for SubscribeConfigurationRequest.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `getKeys()`
`Map<String,​String>` `getMetadata()`
`String` `getStoreName()`
`SubscribeConfigurationRequest` `setMetadata​(Map<String,​String> metadata)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubscribeConfigurationRequest

    public SubscribeConfigurationRequest​(String storeName,
                                         List<String> keys)

Constructor for SubscribeConfigurationRequest.

Parameters:
  `storeName` - Name of the configuration store
  `keys` - Keys of the configurations values to subscribe to

### Method Detail

#### setMetadata

    public SubscribeConfigurationRequest setMetadata​(Map<String,​String> metadata)

#### getStoreName

    public String getStoreName()

#### getKeys

    public List<String> getKeys()

#### getMetadata

    public Map<String,​String> getMetadata()